Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.url
Interface ContentUrlGenerationFilter

All Superinterfaces:
  Disposable

    public interface ContentUrlGenerationFilter

extends Disposable

This interface can be implemented by a filter in the content URL generation chain that is used to generate URLs to content items. The `writeURL(ContentUrlGenerationRequest, ContentUrlGenerationResponse, ContentUrlGenerationFilterChain)` method is called once for each URL generated. A reference to content URL generation resolution filter is obtained by calling the method `ContentUrlGenerationFilterFactory#getFilter(javax.portlet.PortletRequest, javax.portlet.PortletResponse)` on the corresponding factory implementation.

Since:
  8.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`void` | `writeURL(ContentUrlGenerationRequest request, ContentUrlGenerationResponse response, ContentUrlGenerationFilterChain chain)` Write the content URL for a given content.

Methods inherited from interface com.ibm.portal.Disposable
`dispose`

Method Detail

### writeURL

    void writeURL(ContentUrlGenerationRequest request,
                  ContentUrlGenerationResponse response,
                  ContentUrlGenerationFilterChain chain)
                  throws ContentUrlGenerationException,
                         java.io.IOException

  Write the content URL for a given content.

  Parameters:
    `request` - Allows access to all information required for URL generation
    `response` - Response of the URL generation which can be used to write the URL
    `chain` - The reference to the content URL generation chain that has to be used to call the next content URL generation filter chain element.
  Throws:
    `ContentUrlGenerationException` - If there are any errors in processing the filter.
    `java.io.IOException` - If an I/O error occurs

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD